# AMDSparseTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class AMDSparseTexture

    java.lang.Object
      org.lwjgl.opengl.AMDSparseTexture

    public final class AMDSparseTexture

extends java.lang.Object

Field Summary
`static int` `GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_MAX_SPARSE_TEXTURE_SIZE_AMD` Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:
`static int` `GL_MIN_LOD_WARNING_AMD` Accepted by the <pname> parameter of TexParameter{if}{v} and GetTexParameter{if}v:
`static int` `GL_MIN_SPARSE_LEVEL_AMD` Accepted by the <pname> parameter of GetTexParameter{if}v:
`static int` `GL_TEXTURE_STORAGE_SPARSE_BIT_AMD` Accepted by the <flags> parameter to TexStorageSparseAMD and TextureStorageSparseAMD:
`static int` `GL_VIRTUAL_PAGE_SIZE_X_AMD` Accepted by the <pname> parameter to GetInternalformativ:
`static int` `GL_VIRTUAL_PAGE_SIZE_Y_AMD` Accepted by the <pname> parameter to GetInternalformativ:
`static int` `GL_VIRTUAL_PAGE_SIZE_Z_AMD` Accepted by the <pname> parameter to GetInternalformativ:

Method Summary
`static void` `glTexStorageSparseAMD(int target, int internalFormat, int width, int height, int depth, int layers, int flags)`
`static void` `glTextureStorageSparseAMD(int texture, int target, int internalFormat, int width, int height, int depth, int layers, int flags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TEXTURE_STORAGE_SPARSE_BIT_AMD

    public static final int GL_TEXTURE_STORAGE_SPARSE_BIT_AMD

  Accepted by the <flags> parameter to TexStorageSparseAMD and TextureStorageSparseAMD:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_X_AMD

    public static final int GL_VIRTUAL_PAGE_SIZE_X_AMD

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_Y_AMD

    public static final int GL_VIRTUAL_PAGE_SIZE_Y_AMD

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_VIRTUAL_PAGE_SIZE_Z_AMD

    public static final int GL_VIRTUAL_PAGE_SIZE_Z_AMD

  Accepted by the <pname> parameter to GetInternalformativ:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_TEXTURE_SIZE_AMD

    public static final int GL_MAX_SPARSE_TEXTURE_SIZE_AMD

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD

    public static final int GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS

    public static final int GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS

  Accepted by the <pname> parameter to GetIntegerv, GetFloatv, GetDoublev, GetInteger64v, and GetBooleanv:

  See Also:
    Constant Field Values

### GL_MIN_SPARSE_LEVEL_AMD

    public static final int GL_MIN_SPARSE_LEVEL_AMD

  Accepted by the <pname> parameter of GetTexParameter{if}v:

  See Also:
    Constant Field Values

### GL_MIN_LOD_WARNING_AMD

    public static final int GL_MIN_LOD_WARNING_AMD

  Accepted by the <pname> parameter of TexParameter{if}{v} and GetTexParameter{if}v:

  See Also:
    Constant Field Values

Method Detail

### glTexStorageSparseAMD

    public static void glTexStorageSparseAMD(int target,
                                             int internalFormat,
                                             int width,
                                             int height,
                                             int depth,
                                             int layers,
                                             int flags)

### glTextureStorageSparseAMD

    public static void glTextureStorageSparseAMD(int texture,
                                                 int target,
                                                 int internalFormat,
                                                 int width,
                                                 int height,
                                                 int depth,
                                                 int layers,
                                                 int flags)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.